summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--misc/chm2pdf/chm2pdf.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/misc/chm2pdf/chm2pdf.SlackBuild b/misc/chm2pdf/chm2pdf.SlackBuild
index 0e60c0ea6f..0d69bd71da 100644
--- a/misc/chm2pdf/chm2pdf.SlackBuild
+++ b/misc/chm2pdf/chm2pdf.SlackBuild
@@ -58,12 +58,8 @@ cat $CWD/patches/tempdir.patch | patch -p1
python setup.py build
python setup.py install --root $PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a LICENSE PKG-INFO README $PKG/usr/doc/$PRGNAM-$VERSION